###

###

###

###

###

###

    MBSTOWCS(3)         Linux Programmer's Manual         MBSTOWCS(3)

    NAME
           mbstowcs  - convert a multibyte string to a wide character
           string.

    SYNOPSIS
           #include <stdlib.h>

           size_t mbstowcs(wchar_t *pwcs, const char *s, size_t n);

    DESCRIPTION
           The mbstowcs() function converts a sequence  of  multibyte
           characters  from the array s into a sequence of wide char-
           acters and stores up to n wide  characters  in  the  array
           pwcs.

    RETURN VALUE
           mbstowcs() returns the number of wide characters stored or
           -1 if s contains an invalid multibyte character.

    CONFORMING TO
           SVID 3, ISO 9899

### SEE ALSO

mblen, mbtowc, wcstombs, wctomb,

###

    GNU                       March 29, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0